package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.ProposalInfo;
import com.ruoyi.system.domain.activity.ZxActivity;
import com.ruoyi.system.domain.conference.ZxConference;
import com.ruoyi.system.domain.member.MemberAssessmentInfo;
import com.ruoyi.system.domain.member.MemberInfo;
import com.ruoyi.system.domain.speak.ZxSpeak;
import com.ruoyi.system.domain.sqmy.SqmyInfo;

import java.util.List;
import java.util.Map;

/**
 * @Author: tjf
 * @Date: 2024/3/14 11:05
 * @Describe:
 */
public class MemberInfoVo {
    /**
     * 基本信息
     */
    private MemberInfo memberInfo;
    /**
     * 委员分数信息对象
     */
    private MemberAssessmentInfo memberAssessmentInfo;
    /**
     * 提案集合
     */
    private List<ProposalInfo> proposalInfoList;
    /**
     * 社情民意集合
     */
    private List<SqmyInfo> sqmyInfoList;

    /**
     * 会议集合
     */
    private List<ZxConference> zxConferenceList;
    /**
     * 活动集合
     */
    private List<ZxActivity> zxActivityList;
    /**
     * 发言集合
     */
    private List<ZxSpeak> zxSpeakList;
    /**
     * 相关集合
     */
    private Map<String,Object> map;

    public MemberAssessmentInfo getMemberAssessmentInfo() {
        return memberAssessmentInfo;
    }

    public void setMemberAssessmentInfo(MemberAssessmentInfo memberAssessmentInfo) {
        this.memberAssessmentInfo = memberAssessmentInfo;
    }

    public Map<String, Object> getMap() {
        return map;
    }

    public void setMap(Map<String, Object> map) {
        this.map = map;
    }

    public MemberInfo getMemberInfo() {
        return memberInfo;
    }

    public void setMemberInfo(MemberInfo memberInfo) {
        this.memberInfo = memberInfo;
    }

    public List<ProposalInfo> getProposalInfoList() {
        return proposalInfoList;
    }

    public void setProposalInfoList(List<ProposalInfo> proposalInfoList) {
        this.proposalInfoList = proposalInfoList;
    }

    public List<SqmyInfo> getSqmyInfoList() {
        return sqmyInfoList;
    }

    public void setSqmyInfoList(List<SqmyInfo> sqmyInfoList) {
        this.sqmyInfoList = sqmyInfoList;
    }

    public List<ZxConference> getZxConferenceList() {
        return zxConferenceList;
    }

    public void setZxConferenceList(List<ZxConference> zxConferenceList) {
        this.zxConferenceList = zxConferenceList;
    }

    public List<ZxActivity> getZxActivityList() {
        return zxActivityList;
    }

    public void setZxActivityList(List<ZxActivity> zxActivityList) {
        this.zxActivityList = zxActivityList;
    }

    public List<ZxSpeak> getZxSpeakList() {
        return zxSpeakList;
    }

    public void setZxSpeakList(List<ZxSpeak> zxSpeakList) {
        this.zxSpeakList = zxSpeakList;
    }

    @Override
    public String toString() {
        return "MemberInfoVo{" +
                "memberInfo=" + memberInfo +
                ", proposalInfoList=" + proposalInfoList +
                ", sqmyInfoList=" + sqmyInfoList +
                ", zxConferenceList=" + zxConferenceList +
                ", zxActivityList=" + zxActivityList +
                ", zxSpeakList=" + zxSpeakList +
                '}';
    }
}
